Skip to main content
PUT
Update fiscal position

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The fiscal position ID

Example:

1

Body

application/json
name
string

Fiscal position name. Must not be greater than 255 characters.

Example:

"Domestic"

company_id
integer

Company ID. The id of an existing record in the companies table.

Example:

1

country_id
integer | null

Country ID. The id of an existing record in the countries table.

Example:

233

country_group_id
integer | null

Country group ID. The id of an existing record in the countries table.

zip_from
string | null

ZIP code from. Must not be greater than 10 characters.

Example:

"10000"

zip_to
string | null

ZIP code to. Must not be greater than 10 characters.

Example:

"99999"

notes
string | null

Fiscal position notes.

Example:

"For domestic transactions"

auto_reply
boolean | null

Auto reply enabled.

Example:

false

vat_required
boolean | null

VAT required flag.

Example:

false

foreign_vat
string | null

Foreign VAT. Must not be greater than 255 characters.

taxes
object[] | null

Tax mappings array. Include id for update, omit for create.

Example:
accounts
object[] | null

Account mappings array. Include id for update, omit for create.

Example:

Response

Success